# -*- coding: utf-8 -*-
import re

import requests
from bs4 import BeautifulSoup
from resources.lib.const import GENERAL, REGEX, STRINGS


def get_csfd_tips():
    """Get daily tips from CSFD site."""
    data_url = 'https://csfd.cz/televize'

    headers = {
        'User-Agent': 'Mozilla/5.0 (X11; Linux x86_64; rv:75.0) Gecko/20100101 Firefox/75.0',
    }
    # TODO: OBRAZKY A POPIS
    result = requests.get(data_url, headers=headers, timeout=GENERAL.API_TIMEOUT)
    soup = BeautifulSoup(result.content, 'html.parser')
    main = soup.find_all('ul', class_="content ui-image-list")
    return [re.search(REGEX.CSFD_ID, elem.find('a').attrs.get('href')).group(1) for elem in main[0].find_all('div', class_='right')]

